Skip to main content
GET
/
v2
/
external
/
stores
/
count
cURL
curl --request GET \
  --url https://staging.api.eu-west-3.lokki.rent/v2/external/stores/count \
  --header 'x-access-token: <api-key>'
import requests

url = "https://staging.api.eu-west-3.lokki.rent/v2/external/stores/count"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://staging.api.eu-west-3.lokki.rent/v2/external/stores/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 42
}

Authorizations

x-access-token
string
header
required

Query Parameters

verticale.in

Filter entries that match any of the specified values

Available options:
BIKE,
ELECTRIC_BIKE,
MOPED,
MOTORCYCLE,
CAR,
SCOOTER,
SKI,
CLIMBING,
SNOWSHOES,
SURF,
PADDLE,
CANOE_KAYAK,
BOAT,
EVENT,
MOTOCULTURE,
TOOLING
verticale.notIn

Filter entries that do not match any of the specified values

Available options:
BIKE,
ELECTRIC_BIKE,
MOPED,
MOTORCYCLE,
CAR,
SCOOTER,
SKI,
CLIMBING,
SNOWSHOES,
SURF,
PADDLE,
CANOE_KAYAK,
BOAT,
EVENT,
MOTOCULTURE,
TOOLING
verticale.equals
enum<string>

Filter entries that have a specific value

Available options:
BIKE,
ELECTRIC_BIKE,
MOPED,
MOTORCYCLE,
CAR,
SCOOTER,
SKI,
CLIMBING,
SNOWSHOES,
SURF,
PADDLE,
CANOE_KAYAK,
BOAT,
EVENT,
MOTOCULTURE,
TOOLING
verticale.notEquals
enum<string>

Filter entries that do not have a specific value

Available options:
BIKE,
ELECTRIC_BIKE,
MOPED,
MOTORCYCLE,
CAR,
SCOOTER,
SKI,
CLIMBING,
SNOWSHOES,
SURF,
PADDLE,
CANOE_KAYAK,
BOAT,
EVENT,
MOTOCULTURE,
TOOLING
position.radius
number

Radius in kilometers (max 50km). Optional, but if provided, latitude and longitude must also be provided.

Required range: 0 <= x <= 50
position.latitude
number

Latitude of the position. Optional, but if provided, longitude and radius must also be provided.

Required range: -90 <= x <= 90
position.longitude
number

Longitude of the position. Optional, but if provided, latitude and radius must also be provided.

Required range: -180 <= x <= 180

Response

200 - application/json
total
number
required

Total number of stores matching the query

Required range: x >= 0
Example:

42